store-0.4.3.2: Fast binary serialization

Safe Haskell | Safe
Language | Haskell2010

Data.Store.Streaming.Internal

Synopsis

- messageMagic :: Word64
- magicLength :: Int
- sizeTagLength :: Int
- headerLength :: Int
- type SizeTag = Int

# Documentation

messageMagic :: Word64 Source #

Some fixed arbitrary magic number that precedes every `Message`.

magicLength :: Int Source #

sizeTagLength :: Int Source #

headerLength :: Int Source #

type SizeTag = Int Source #

Type used to store the length of a `Message`.